src/libUnuk/Input.cpp File Reference
`#include <string.h>`
`#include "Input.h"`

Go to the source code of this file.

## Functions

bool | _curr_key (int index)
bool | _old_key (int index)
bool | _curr_mouse (int button)
bool | _old_mouse (int button)
bool | CreateInput (void)
void | UpdateInput (void)
char | GetKey (void)
unsigned int | GetX (void)
unsigned int | GetY (void)
unsigned int | GetOldX (void)
unsigned int | GetOldY (void)
unsigned int | GetMods (void)
bool | KeyDown (int index)
bool | KeyStillDown (int index)
bool | KeyUp (int index)
bool | KeyStillUp (int index)
bool | MouseDown (int button)
bool | MouseStillDown (int button)
bool | MouseUp (int button)
bool | MouseStillUp (int button)
void | DestroyInput (void)

## Function Documentation

bool _curr_key | ( | int | index | ) |

Definition at line 7 of file Input.cpp.

bool _curr_mouse | ( | int | button | ) |

Definition at line 15 of file Input.cpp.

bool _old_key | ( | int | index | ) |

Definition at line 11 of file Input.cpp.

bool _old_mouse | ( | int | button | ) |

Definition at line 19 of file Input.cpp.

bool CreateInput | ( | void |  | ) |

Definition at line 23 of file Input.cpp.

void DestroyInput | ( | void |  | ) |

Definition at line 79 of file Input.cpp.

char GetKey | ( | void |  | ) |

Definition at line 59 of file Input.cpp.

unsigned int GetMods | ( | void |  | ) |

Definition at line 69 of file Input.cpp.

unsigned int GetOldX | ( | void |  | ) |

Definition at line 67 of file Input.cpp.

unsigned int GetOldY | ( | void |  | ) |

Definition at line 68 of file Input.cpp.

unsigned int GetX | ( | void |  | ) |

Definition at line 65 of file Input.cpp.

unsigned int GetY | ( | void |  | ) |

Definition at line 66 of file Input.cpp.

bool KeyDown | ( | int | index | ) |

Definition at line 70 of file Input.cpp.

bool KeyStillDown | ( | int | index | ) |

Definition at line 71 of file Input.cpp.

bool KeyStillUp | ( | int | index | ) |

Definition at line 73 of file Input.cpp.

bool KeyUp | ( | int | index | ) |

Definition at line 72 of file Input.cpp.

bool MouseDown | ( | int | button | ) |

Definition at line 74 of file Input.cpp.

bool MouseStillDown | ( | int | button | ) |

Definition at line 75 of file Input.cpp.

bool MouseStillUp | ( | int | button | ) |

Definition at line 77 of file Input.cpp.

bool MouseUp | ( | int | button | ) |

Definition at line 76 of file Input.cpp.

void UpdateInput | ( | void |  | ) |

Definition at line 37 of file Input.cpp.

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines